xmms problem

Cent OS, Scientific Linux

Модераторы: broom, Модераторы разделов

jugg
Сообщения: 13

xmms problem

Сообщение jugg » 07.01.2005 22:17

Решил поставить xmms. Но при установке ( после команды ./configure) появляется такая хрень

Код: Выделить всё

checking for glib-config... no
checking for GLIB - version >= 1.2.2... no
*** The glib-config script installed by GLIB could not be found
*** If GLIB was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GLIB_CONFIG environment variable to the
*** full path to glib-config.
configure: error: *** GLIB >= 1.2.2 not installed - please install first ***

Ну я решил поставить GTK последний, мол там в комплекте будет GLIB, а :censored: когда ставлю GTK, после тойже команды появляется вот, что

Код: Выделить всё

checking for pkg-config... /usr/bin/pkg-config
checking for glib-2.0 >= 2.6.0    atk >= 1.0.1    pango >= 1.7.0... Requested 'glib-2.0 >= 2.6.0' but version of GLib is 2.4.8

configure: error: Library requirements (glib-2.0 >= 2.6.0    atk >= 1.0.1    pango >= 1.7.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.

Может, ктото уже встречалса с етой проблемой. А вот хотел добавить, у меня в up2date пишеться, что есть 4 новых упдайта и там есть упдайт для ГТК, но, если я хочу проупдатить с их сервера то говориться, что мол у меня уже всё стоит. Если комуто не сложно, помогите чайничку ;)
Спасибо сказали:

Аватара пользователя
brob
Сообщения: 389

Re: xmms problem

Сообщение brob » 07.01.2005 22:36

Зависимости надо удовлетворять, это точно! У меня в RHL9 были подобные проблемы и лечилися они почему-то не установкой более новых версий (если зависимость позволяет), а установкой через графичесий интерфейс (rpm -ihv твой_пакет некатит!). Причину этого маразма я так и не понял.
А Glib то у тя стоит (это отдельная прога, а не "комплект")?
Мясо должно быть холодным, женщина горячей, а пива МНОГО!!!!

brabys@jabber.ru
Спасибо сказали:

jugg
Сообщения: 13

Re: xmms problem

Сообщение jugg » 07.01.2005 22:50

более новых версий (если зависимость позволяет), а установкой через графичесий интерфейс (rpm -ihv твой_пакет некатит!). Причину этого маразма я так и не понял.
Тоетсь? Каким образом я установлю GTK, если он походу в RPM не выпускается? Может я чегото не понимаю. Досканально, если можно конечно объясните пожалуйсто.
Спасибо сказали:

Аватара пользователя
Demetrio
Сообщения: 161

Re: xmms problem

Сообщение Demetrio » 07.01.2005 23:07

Глупости какие...

gtk+-devel + зависимости

а вообще, чем тебя xmms в rpm не устраивает?
Спасибо сказали:

jugg
Сообщения: 13

Re: xmms problem

Сообщение jugg » 07.01.2005 23:24

О спасибо всё нашёл ;) Теперь проблема в другом. Я не могу сконфигурить ничего. Везде при конфигурации пишет

Код: Выделить всё

checking for gtk-config... (cached) no
checking for GTK - version >= 1.2.2... no
*** The gtk-config script installed by GTK could not be found
*** If GTK was installed in PREFIX, make sure PREFIX/bin is in
your path, or set the GTK_CONFIG environment variable to the
full path to gtk-config.

Даже не знаю, что делать :(
Спасибо сказали:

Аватара пользователя
Demetrio
Сообщения: 161

Re: xmms problem

Сообщение Demetrio » 08.01.2005 00:02

rpm -qa | grep gtk

Повторю вопрос про бинарный xmms и смысл сборки их исходников
Спасибо сказали:

Аватара пользователя
brob
Сообщения: 389

Re: xmms problem

Сообщение brob » 08.01.2005 00:15

(jugg @ Пятница, 07 Января 2005, 23:24) писал(а):

Код: Выделить всё

checking for gtk-config... (cached) no
checking for GTK - version >= 1.2.2... no
*** The gtk-config script installed by GTK could not be found
*** If GTK was installed in PREFIX, make sure PREFIX/bin is in
your path, or set the GTK_CONFIG environment variable to the
full path to gtk-config.


Ты пакеты ручками не ставь! Я помню долго с mplayer'ом парился, пока не начал GUI использовать (он создает gtk-config!)! К стати если есть такая возможность,- пакеты лучше собирать самому (по-моему так: rpmbuild -ta имя_архива), а потом ставить!
Мясо должно быть холодным, женщина горячей, а пива МНОГО!!!!

brabys@jabber.ru
Спасибо сказали:

jugg
Сообщения: 13

Re: xmms problem

Сообщение jugg » 08.01.2005 00:52

Гхм, объясните попонятнее. У меня есть архив допустим lalala.tar.gz! Я его распоковываю, дальше поидее нужно писать ./configure ; make ; make install . Но после написания ./configure выводится надпись (см.3 постами више). Что нужно сделать, чтобы всё прошло нормально.Желательно понятным русским языком т.к. я чайник :( :rolleyes:
Спасибо сказали:

Аватара пользователя
brob
Сообщения: 389

Re: xmms problem

Сообщение brob » 08.01.2005 11:19

Усли есть ошибки в pkg-config,- это ты ставил командой rpm -ihv пакет. Поэтому доверь это дело инсталятору (щелкни по-пакету, пароль и т.п.). Все пакеты, которые ты устанавливаешь, должны ставиться именно так! Если вообще париьтся не хочешь,- вставь 1 диск, найди пункт обновить, доустанавливай пакеты! Тогда точно гемора не будет!!!!
Мясо должно быть холодным, женщина горячей, а пива МНОГО!!!!

brabys@jabber.ru
Спасибо сказали:

.xauthority
Сообщения: 2

Re: xmms problem

Сообщение .xauthority » 20.01.2005 10:40

(Demetrio @ Суббота, 08 Января 2005, 2:07) писал(а):Глупости какие...

gtk+-devel + зависимости

а вообще, чем тебя xmms в rpm не устраивает?


например потому, что он криво показывает названия песен в плейлисте и главном окне, с кодировкой у него проблемы....
Спасибо сказали:

Аватара пользователя
Neptune
Сообщения: 35

Re: xmms problem

Сообщение Neptune » 30.01.2005 23:55

Поставь xmms нормальный
например такой - и все заработает

[neptune@neptune python2.3]$ rpm -q xmms
xmms-1.2.10-11.fc3.den

А вообще я давно переполз на bmp чего и всем желаю
Спасибо сказали:

Аватара пользователя
Device
Сообщения: 71

Re: xmms problem

Сообщение Device » 31.01.2005 00:17

(brob @ Суббота, 08 Января 2005, 8:19) писал(а):Усли есть ошибки в pkg-config,- это ты ставил командой rpm -ihv пакет. Поэтому доверь это дело инсталятору (щелкни по-пакету, пароль и т.п.). Все пакеты, которые ты устанавливаешь, должны ставиться именно так! Если вообще париьтся не хочешь,- вставь 1 диск, найди пункт обновить, доустанавливай пакеты! Тогда точно гемора не будет!!!!

вот это полная херня.
:new_megalol:
Jabber ID: Device@jabber.ru
Спасибо сказали:

Аватара пользователя
clx
Сообщения: 3121
Статус: Think Different !
ОС: Mac OS X

Re: xmms problem

Сообщение clx » 31.01.2005 17:21

(Neptune @ Воскресенье, 30 Января 2005, 23:55) писал(а):Поставь xmms нормальный
например такой - и все заработает

[neptune@neptune python2.3]$ rpm -q xmms
xmms-1.2.10-11.fc3.den

А вообще я давно переполз на bmp  чего и всем желаю


bmp ещё довольно сырой..Багов много.
iMac 20" Core Duo.
Спасибо сказали:

Аватара пользователя
Dani4
Сообщения: 208
ОС: Fedora 18

Re: xmms problem

Сообщение Dani4 » 12.02.2005 03:03

Ты пакеты ручками не ставь!

А я в RedHat9 только руками пакеты и ставлю. Как помоему, так redhat-config-package - грубо говоря ацтой . Иногда (скорее часто) при установке пакетов он вылетает после "прочтения списка установленных пакетов" а то и виснет на.. на середине установки. А с коносольки тот же пакет моментально устанавливается. :new_dry:
К стати XMMS у меня стоит 1.2.10 собран из исходников, работает за милую душу.

+ Вопрос по проблеме: в xmms русские тэги в mp3 (в виндовой кодировке) не загружаюся вообсче, но если тэг из файла удалить напрочь, а название файла на русском - всё впорядке,
кириллица отображается нормально.
Fedora 18 on AMD Phenom/MSI/AMD Radeon HD 4250
"This is a Unix system. I know this." - Lex.
Спасибо сказали:

Аватара пользователя
zenwolf
Бывший модератор
Сообщения: 3138
Статус: Страшный и злой
ОС: Slackware..Salix..x86_64

Re: xmms problem

Сообщение zenwolf » 12.02.2005 09:04

*боже как надоел этот вопрос про red hat/fedora и xmms *

проще всего -слей последнюю версию xmms и поставь из исходников вместо идущего в дистрибутиве
и всё будет окей

./configure --prefix=/usr
make
make check
make install
Quae videmus quo dependet vultus. (лат) - То, что мы видим, зависит от того, куда мы смотрим.
Спасибо сказали: